Skip to main content
`Ctrl`+`K`

# VecMaxPointwiseDivide

Computes the maximum of the componentwise division `max = max_i abs(x[i]/y[i])`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecMaxPointwiseDivide(Vec x, Vec y, PetscReal *max)

Logically Collective

## Input Parameters

- x - the numerators

- y - the denominators

## Output Parameter

- max - the result

## Notes

`x` and `y` may be the same vector

if a particular `y[i]` is zero, it is treated as 1 in the above formula

## See Also

Vectors and Parallel Data, `Vec`, `VecPointwiseDivide()`, `VecPointwiseMult()`, `VecPointwiseMax()`, `VecPointwiseMin()`, `VecPointwiseMaxAbs()`

## Level

advanced

## Location

src/vec/vec/interface/rvector.c

## Implementations

VecMaxPointwiseDivide_MPI() in src/vec/vec/impls/mpi/pvec2.c
VecMaxPointwiseDivide_Nest() in src/vec/vec/impls/nest/vecnest.c
VecMaxPointwiseDivide_Seq() in src/vec/vec/impls/seq/dvec2.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages